document.addEventListener('DOMContentLoaded', async function() {
    const video = document.querySelector('#video');
    const source = document.getElementById('videoSource');
    const errorMessage = document.getElementById('error-message');
    
    const urlParams = new URLSearchParams(window.location.search);
    const videoUrl = urlParams.get('video');
    
    if (!videoUrl) {
        showError('לא נמצאה כתובת וידאו');
        return;
    }

    try {
        const decodedUrl = decodeURIComponent(videoUrl);
        source.src = decodedUrl;
        video.load();

        // נסיון להפעיל את הוידאו
        try {
            await video.play();
        } catch (playError) {
            console.warn('לא ניתן להפעיל אוטומטית:', playError);
            // זה בסדר, המשתמש יכול להפעיל ידנית
        }

        // מאזין לשגיאות בטעינת הוידאו
        video.addEventListener('error', function() {
            const error = video.error;
            console.error('שגיאת וידאו:', error);
            showError('שגיאה בטעינת הוידאו');
        });

    } catch (error) {
        console.error('שגיאה:', error);
        showError('שגיאה בטעינת הוידאו');
    }

    function showError(message) {
        video.style.display = 'none';
        errorMessage.textContent = message;
        errorMessage.style.display = 'block';
    }
});
